Skip to content

API: Embedding

Embed tokens and domain allowlists. All endpoints require authentication unless noted. 6 endpoints.

Get embed configuration for workspace

Responses: 200 · 400 · 401 · 404

Update embed configuration for workspace

Request body (JSON)

Field Type Required Description
allowedOrigins array of string no
defaultTheme string no
customCss string no
logoUrl string no
showToolbar boolean no
allowExport boolean no

Responses: 200 · 400 · 401 · 404

List embed tokens for company

Responses: 200 · 400 · 401

Generate an embed token

Request body (JSON)

Field Type Required Description
contentType "dashboard" | "report" yes
contentId string yes
name string no
rlsContext object no
expiresAt string no

Responses: 201 · 400 · 401 · 409

Revoke an embed token

Path parameters

Name Type Required Description
id string yes

Responses: 204 — No content · 401 · 404

Embed usage rollups per share

Query parameters

Name Type Required Description
days integer no

Responses: 200